DtWsmGetCurrentWorkspace(library call)

NAME
DtWsmGetCurrentWorkspace — get the current workspace

SYNOPSIS

#include &<Dt/Wsm.h>
int DtWsmGetCurrentWorkspace(
Display *display,
Window root,
Atom *paWorkspace);

DESCRIPTION

The DtWsmGetCurrentWorkspace function works with the XCDE workspace manager, dtwm(1), and returns the name of the current workspace (converted to an X atom).

The display argument is the X display.

The root argument is the root window of the screen of interest.

The paWorkspace argument is the address of an atom to receive the current workspace identifier.

RETURN VALUE

Upon successful completion, the DtWsmGetCurrentWorkspace function returns Success and the atom identifying the current workspace is returned in paWorkspace; otherwise, it returns a value not equal to Success.

APPLICATION USAGE

If the DtWsmGetCurrentWorkspace function is not successful, the most likely reason for failure is that the XCDE workspace manager, dtwm(1), is not running.

SEE ALSO

dtwm(1), Dt/Wsm.h - DtWsm(5).